/*
 *  Copyright (C) 2008 Daniel Bessler <danielb@kiba-dock.org>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301  USA.
 *
 *  Author : Daniel Bessler <danielb@kiba-dock.org>
*/

#ifndef __KIBA_CONTAINER_OBJECT_H__
#define __KIBA_CONTAINER_OBJECT_H__

#include <gtk/gtk.h>

#include <kiba-object.h>

G_BEGIN_DECLS

typedef struct _KibaContainerObject KibaContainerObject;
typedef struct _KibaContainerObjectClass KibaContainerObjectClass;

#define KIBA_TYPE_CONTAINER_OBJECT           (kiba_container_object_get_type ())
#define KIBA_CONTAINER_OBJECT(obj)           (G_TYPE_CHECK_INSTANCE_CAST ((obj), KIBA_TYPE_CONTAINER_OBJECT, KibaContainerObject))
#define KIBA_CONTAINER_OBJECT_CLASS(obj)     (G_TYPE_CHECK_CLASS_CAST ((obj), KIBA_TYPE_CONTAINER_OBJECT,  KibaContainerObjectClass))
#define KIBA_IS_CONTAINER_OBJECT(obj)        (G_TYPE_CHECK_INSTANCE_TYPE ((obj), KIBA_TYPE_CONTAINER_OBJECT))
#define KIBA_IS_CONTAINER_OBJECT_CLASS(obj)  (G_TYPE_CHECK_CLASS_TYPE ((obj), KIBA_TYPE_CONTAINER_OBJECT))
#define KIBA_CONTAINER_OBJECT_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), KIBA_TYPE_CONTAINER_OBJECT, KibaContainerObjectClass))

struct _KibaContainerObject {
	KibaObject parent;
};

struct _KibaContainerObjectClass {
	KibaObjectClass parent_class;
};

GtkWidget* kiba_container_object_new (const char *group);

G_END_DECLS

#endif
