/*
 *  Copyright (C) 2007 Daniel Bessler <danielb@kiba-dock.org>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301  USA.
 *
 *  Author : Daniel Bessler <danielb@kiba-dock.org>
*/

#ifndef __KIBA_MENU_ITEMS_H
#define __KIBA_MENU_ITEMS_H

#include <gtk/gtk.h>

G_BEGIN_DECLS

GtkTooltips* kiba_get_tooltips (void);

void kiba_menu_item_setup_uri_drag (GtkWidget   *menuitem,
				    const char  *icon,
				    const char  *uri);

void kiba_menu_item_setup (GtkWidget   *menuitem,
			   GtkIconSize  icon_size,
			   GtkWidget   *image,
			   const char  *title,
			   gboolean     create_invisible_mnemonic);

void kiba_load_menu_image_deferred (GtkWidget   *image_menu_item,
				    GtkIconSize  icon_size,
				    const char  *stock_id,
				    const char  *image_filename,
				    const char  *fallback_image_filename);

void kiba_menu_item_setup_with_icon (GtkWidget   *item,
				     GtkIconSize  icon_size,
				     const char  *icon_name,
				     const char  *stock_id,
				     const char  *title,
				     gboolean     create_invisible_mnemonic);

void kiba_menu_item_create_from_desktop (GtkWidget *menu,
					 char      *path,
					 char      *force_name);

void kiba_menu_item_activate_desktop_file (GtkWidget  *menuitem,
					   const char *path);

gboolean kiba_menu_item_dummy_button_press_event (GtkWidget      *menuitem,
						  GdkEventButton *event);

GtkWidget* kiba_menu_add_separator (GtkWidget *menu);

G_END_DECLS

#endif
